
FillTypeMassAdjustment = {};

function FillTypeMassAdjustment:loadMap(name)
    
    local realMass = {};
    
    realMass.fertilizer = 0.00006
    realMass.seeds = 0.00006
    realMass.pigFoodProtein = 0.00015
    realMass.pigFoodGrain = 0.00015
    realMass.pigFoodEarth = 0.00020
    realMass.pigFoodBase = 0.00016
    realMass.pigFood = 0.00015
    realMass.liquidFertilizer = 0.00005

    multiplier = 1;
    for k, v in pairs(FillUtil.fillTypeNameToDesc) do
        if realMass[k] ~= nil then
            FillUtil.fillTypeNameToDesc[k].massPerLiter = realMass[k];
        else
            FillUtil.fillTypeNameToDesc[k].massPerLiter = FillUtil.fillTypeNameToDesc[k].massPerLiter * multiplier;    
        end;
    end;
end;
function FillTypeMassAdjustment:keyEvent(unicode, sym, modifier, isDown)
end;
function FillTypeMassAdjustment:update(dt)
end;
function FillTypeMassAdjustment:draw()
end;
function FillTypeMassAdjustment:deleteMap()
end;
function FillTypeMassAdjustment:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(FillTypeMassAdjustment);







